<?php

/*** Freedom City | Check RPGBUNNY.COM for more Full RPG Sources | www.rpgbunny.com ***/include "antet.php"; include "func.php";

if (isset($_GET["id"]))
{
 $_GET["id"]=mysql_escape_string($_GET["id"]);
 check_d($_GET["id"]);
 $del=get_d($_GET["id"]);
 $usr=user($_GET["id"]);
 if (isset($usr[10])) $faction=faction($usr[10]); else $faction=array(0, 0, 0, 0);
 $towns=towns($_GET["id"]);
 if ($usr[11]) $alliance=alliance($usr[11]);
 $twnCount=count($towns); $population=0; $capital=array();
 for ($i=0; $i<$twnCount; $i++)
 {
  if ($towns[$i][4]) $capital=town_xy($towns[$i][0]);
  $population+=$towns[$i][3];
 }
} else header('Location: index.php');
?>
<html>
<?php echo "<link rel='stylesheet' type='text/css' href='".$imgs.$fimgs."default.css'>"; ?>
<script src="func.js" type="text/javascript"></script>

<head>
<title><?php echo $title; ?> - <?php echo $lang['profileView'] ?></title>
</head>

<body class="q_body">

<link rel="stylesheet" type="text/css" href="layout/css/css/style.css"/>
<div align="left">


<table class="q_table">

		<form name="form1" method="post" action="profile_edit.php">
		  <p>&nbsp;</p>
		  <table class="q_table" style="border-collapse: collapse" width="400" border="1">
         
           
            <?php if ((isset($_SESSION["user"][1]))&&($_SESSION["user"][1]==$usr[1]))
	    {
	     echo "<tr><td align='left'>".$lang['language']."</td><td align='left'>
	     <select class='dropdown' name='lang'><option value='".$_SESSION["user"][16]."'>".$_SESSION["user"][16]."</option>";
             $dir=dir("language/");
             while($filename=$dir->read()) if (($filename[0]!=".")&&($filename!=$_SESSION["user"][16])) echo "<option value='".$filename."'>".$filename."</option>";
             $dir->close();
	     echo "</select></td></tr>";
	    }?>
            <?php if ((isset($_SESSION["user"][1]))&&($_SESSION["user"][1]==$usr[1])) echo "<tr> <td align='left'>".$lang['enterPass']."</td><td align='left'><input class='textbox' type='password' name='pass'></td></tr><tr><td align='left'><input class='button' type='submit' name='submit' value='".$lang['save']."'></td><td></td></tr></form>"; ?>
          </table>
          <?php if ((isset($_SESSION["user"][1]))&&($_SESSION["user"][1]==$usr[1])) if ($del) echo "<span id='1'>".$del."</span> ".$lang['toDel'].". [<a class='q_link' href='cancel_d.php'>cancel</a>]\n<script type='text/javascript'>var id=new Array(50); timer('1', 'profile_view.php?id=".$_SESSION["user"][0]."'); </script>"; ?>
          


</div>

</body>

</html>